Skip to main content

Add Function to Collection (V2)

This operation adds a function to the schema of an existing collection.

POST
/v2/vectordb/collections/add_function
Cluster Endpoint

The base URL for this API is in the following format:

https://${CLUSTER_ENDPOINT}

📘Notes
  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.

Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
dbNamestring

The name of the database.

collectionNamestringrequired

The name of the collection.

functionobjectrequired

A function schema object.

namestringrequired

The name of the function to create.

descriptionstring

The description of the function to create.

typestringrequired

The type of the function to create.

inputFieldNamesarrayrequired

The names of the input fields for the function to create.

[]inputFieldNamesstring

A field name.

outputFieldNamesarrayrequired

The names of the output fields for the function to create.

[]outputFieldNamesstring

A field name.

paramsobject

Configuration parameters specific to the current function. Once the function type is set to FunctionType.BM25, no parameter is required. For applicable parameters to functions of FunctionType.TEXTEMBEDDING or FunctionType.RERANK, refer to Embedding Functions and Reranking Functions

export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/add_function" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "my_collection",
"function": {
"name": "bm25_fn",
"type": "FunctionType.BM25",
"inputFieldNames": [
"text"
],
"outputFieldNames": [
"sparse"
]
}
}'
Responses200 - application/json
codeinteger

Response code.

dataobject

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

{
"code": 0,
"data": {}
}